SQLITE3_CLEAR_BINDINGS(3) | Library Functions Manual | SQLITE3_CLEAR_BINDINGS(3)

# NAME

`sqlite3_clear_bindings` — reset all bindings on a prepared statement

# SYNOPSIS

`#include <sqlite3.h>`

int
`sqlite3_clear_bindings`(sqlite3_stmt*);

# DESCRIPTION

Contrary to the intuition of many, `sqlite3_reset`() does not reset the bindings on a prepared statement. Use this routine to reset all host parameters to NULL.

# IMPLEMENTATION NOTES

These declarations were extracted from the interface documentation at line 4766.

    SQLITE_API int sqlite3_clear_bindings(sqlite3_stmt*);

# SEE ALSO

sqlite3_bind_blob(3), sqlite3_reset(3), sqlite3_stmt(3)

January 24, 2024 | NetBSD 11.0